> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vms

> List VMs for the active org with optional status filtering.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/vms/list
openapi: 3.1.0
info:
  title: Lyceum Cloud Execution API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v2/external/vms/list:
    get:
      tags:
        - VMs
      summary: List Vms
      description: List VMs for the active org with optional status filtering.
      operationId: list_vms_api_v2_external_vms_list_get
      parameters:
        - name: include_provisioning
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Include Provisioning
        - name: include_ready
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Include Ready
        - name: include_failed
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Include Failed
        - name: include_terminated
          in: query
          required: false
          schema:
            type: boolean
            default: true
            title: Include Terminated
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VMListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VMListResponse:
      properties:
        vms:
          items:
            $ref: '#/components/schemas/VMResponse'
          type: array
          title: Vms
        total:
          type: integer
          title: Total
      type: object
      required:
        - vms
        - total
      title: VMListResponse
      description: Response model for listing VMs.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VMResponse:
      properties:
        vm_id:
          type: string
          title: Vm Id
        status:
          type: string
          title: Status
        ip_address:
          anyOf:
            - type: string
            - type: 'null'
          title: Ip Address
        created_at:
          type: string
          format: date-time
          title: Created At
        instance_specs:
          additionalProperties: true
          type: object
          title: Instance Specs
        hardware_profile:
          anyOf:
            - type: string
            - type: 'null'
          title: Hardware Profile
        gpu_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Gpu Count
        instance_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Instance Type
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        billed:
          anyOf:
            - type: number
            - type: 'null'
          title: Billed
        croesus_billed:
          anyOf:
            - type: number
            - type: 'null'
          title: Croesus Billed
        status_check_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Status Check Url
        polling_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Polling Message
        user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: User Id
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
      type: object
      required:
        - vm_id
        - status
        - created_at
        - instance_specs
      title: VMResponse
      description: Response model for VM operations.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````